.cars__filter {
  padding-bottom: 20px;
}

.filter {
  height: auto;
}

.cars__text {
  background: var(--main-background);
  -webkit-box-shadow: var(--main-shadow);
  box-shadow: var(--main-shadow);
  border-radius: 75px;
  padding: 30px 70px;
  margin-bottom: 30px;
}

.cars__text h2 {
  font-size: 26px;
  line-height: 28px;
  text-align: right;
  color: var(--secondary-color);
  margin-bottom: 30px;
}

.cars__text p {
  font-weight: 500;
  font-size: 18px;
  line-height: 24px;
  margin-bottom: 15px;
  text-indent: 30px;
}

.cars__text h3 {
  font-weight: 500;
  font-size: 24px;
  line-height: 24px;
}

.cars__text h2 span,
.cars__text h3 span,
.cars__text p span {
  font-weight: 600;
  color: var(--secondary-color);
  text-transform: uppercase;
}

.cars__text ul {
  margin-top: 10px;
}

.cars__text ul li {
  font-weight: 600;
  font-size: 20px;
  line-height: 26px;
}

.cars__info {
  background: var(--main-background);
  -webkit-box-shadow: var(--main-shadow);
  box-shadow: var(--main-shadow);
  border-radius: 8px;
  padding: 20px 30px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  row-gap: 10px;
  margin-bottom: 20px;
}

.cars__info h2 {
  font-weight: 700;
  font-size: 20px;
  line-height: 24px;
  border-bottom: 2px solid #d9d9d9;
  padding-bottom: 15px;
  margin-bottom: 5px;
}

.cars__info p,
.cars__info ul {
  font-size: 18px;
  line-height: 22px;
}

.cars__info ul li {
  margin-bottom: 5px;
}

.cars__bottom {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  border-radius: 10px;
  border: 1px solid #E1E1E1;
  background: #FFF;
  -webkit-box-shadow: 5px 5px 4px 0px rgba(237, 237, 238, 0.68), 10px 10px 10px 0px rgba(237, 237, 238, 0.52);
  box-shadow: 5px 5px 4px 0px rgba(237, 237, 238, 0.68), 10px 10px 10px 0px rgba(237, 237, 238, 0.52);
  padding: 20px;
  padding-bottom: 0;
  margin-bottom: 20px;
}

.cars__bottom-text {
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  margin-bottom: 20px;
  text-indent: 10px;
}

.cars__bottom-text span {
  font-weight: 700;
  color: var(--secondary-color);
}

@media (max-width: 1023px) {
  .cars__info {
    padding: 15px 20px;
  }

  .cars__info h2 {
    padding-bottom: 10px;
    margin-bottom: 0;
  }

  .cars__info p,
  .cars__info ul {
    font-size: 14px;
    line-height: 18px;
  }
}

@media (max-width: 768px) {
  .cars__text {
    padding: 20px 30px;
    border-radius: 37px;
  }

  .cars__text h2 {
    font-size: 22px;
    line-height: 22px;
    margin-bottom: 20px;
  }

  .cars__text p {
    font-size: 16px;
    line-height: 20px;
    margin-bottom: 10px;
  }

  .cars__text h3 {
    font-size: 20px;
    line-height: 20px;
  }

  .cars__text ul {
    margin-top: 5px;
  }

  .cars__text ul li {
    font-size: 16px;
    line-height: 20px;
  }
}

@media (max-width: 767px) {
  .cars__text {
    padding: 10px;
    border-radius: 10px;
  }

  .cars__text h2 {
    text-align: center;
    font-size: 20px;
    line-height: 20px;
    margin-bottom: 10px;
  }

  .cars__text p {
    font-size: 14px;
    line-height: 16px;
  }

  .cars__text h3 {
    text-align: center;
  }

  .cars__text ul {
    margin-top: 10px;
  }

  .cars__text ul li {
    text-align: left;
  }

  .cars__bottom-text {
    font-size: 16px;
    line-height: 20px;
  }
}

@media screen and (max-width: 425px) {
  .cars__bottom {
    padding: 10px;
    padding-bottom: 0;
  }

  .cars__bottom-text {
    font-size: 14px;
    line-height: 18px;
    text-align: justify;
    margin-bottom: 10px;
  }
}

@media (max-width: 320px) {
  .cars__text h2 {
    font-size: 16px;
  }

  .cars__text h3 {
    font-size: 18px;
    line-height: 18px;
  }

  .cars__text ul {
    margin-top: 5px;
  }

  .cars__text ul li {
    font-size: 14px;
    line-height: 18px;
  }
}